Two problems in 'npm install pomelo -g' #80

Closed
pawsong opened this Issue Jan 17, 2013 · 2 comments

Comments

Projects
None yet
3 participants

pawsong commented Jan 17, 2013

My environment:
Windows 7 x64
nodejs v. 0.8.17
Python 2.7

First one, I had trouble in installing pomelo(executing 'npm install pomelo -g) with this error logs :

The Platform for project 'bufferutil.vcxproj' is invalid....

and now it's solved and this thread helped me :

Worlize/WebSocket-Node#63

This post advised to install 'Windows 7.1 SDK' http://www.microsoft.com/en-us/download/details.aspx?id=8279

For somebody met the same errors.

Second, It seems 'v8-profiler' breaks npm installation

dannycoates/v8-profiler#16

With above thread I got the reason and solution. It is because

'v8-profiler uses some V8 API's, but those API's are eliminated from V8 in version 3.11.5.'

So the solution is...

use node.js version before than 0.7.11

I verified it works with v.0.7.9, but it may not be a good workaround. Any idea?

Owner

py8765 commented Jan 18, 2013

v8-profiler is a optional npm dependency in pomelo, unless you have some special requirement like do cpu profiling etc. So it does not matter if it failed in windows, it will not influence pomelo's usage.

it114 commented Mar 1, 2013

you are great !!!

pawsong closed this Aug 31, 2013

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment